Name:       faultd
Version:    0.0.1
Release:    0
License:    Apache-2.0
Source0:    %{name}-%{version}.tar.xz
Source1001: %{name}.manifest
Summary:    Fault detection daemon
Group:      System/Monitoring
BuildRequires: pkgconfig(audit)
BuildRequires: pkgconfig(libejdb)
BuildRequires: pkgconfig(libsystemd)
BuildRequires: pkgconfig(json-c)
BuildRequires: pkgconfig(cmocka)


%description
faultd monitors system services, detects their abnormal execution and
helps recover from errors.

%package test-programs
Summary:    faultd test program
Group:      System/Monitoring

%description test-programs
Program used to test resource violation scenario in faultd

%prep
%setup -q
cp %{SOURCE1001} .

%build
%autogen
%configure --enable-test-programs --enable-tests --enable-modules=systemd,startup,vip_fault_dm,system_reboot,database_nop
make %{?_smp_mflags}

make check

%install
%make_install

mkdir -p %{buildroot}/%{_unitdir}/multi-user.target.wants
ln -s ../faultd.service %{buildroot}/%{_unitdir}/multi-user.target.wants

%files
%license COPYING
%manifest %{name}.manifest
%{_localstatedir}/db/faultd
%{_sbindir}/faultd
%{_sysconfdir}/faultd/conf.d/dbus.service.conf
%{_sysconfdir}/faultd/conf.d/display-manager.service.conf
%{_unitdir}/faultd.service
%{_unitdir}/multi-user.target.wants/faultd.service
%{_unitdir}/display-manager.service.d/faultd.conf

%files test-programs
%{_bindir}/leaker
%{_unitdir}/faultd-leaker.service
%{_unitdir}/faultd-failed.service
%{_sysconfdir}/faultd/conf.d/faultd-leaker.service.conf
%{_sysconfdir}/faultd/conf.d/faultd-failed.service.conf

%docs_package
