/*
 * This file is a part of faultd.
 *
 * Copyright © 2017 Samsung Electronics
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef _FAULTD_SERVICE_FAILED_EVENT_H
#define _FAULTD_SERVICE_FAILED_EVENT_H

#include <time.h>

#include "event.h"
#include "common.h"
#include "service.h"

#define SERVICE_FAILED_EVENT_ID "service_failed"
#define SF_EV_DTIME "dt"

struct service_failed_event {
	struct faultd_event event;
	struct systemd_service service;
	time_t detection_time;
};

struct sf_event_data {
	struct systemd_service service;
	time_t detection_time;
};

#define to_service_failed_event(EVENT)						\
	container_of(EVENT, struct service_failed_event, event)

#endif /* _FAULTD_SERVICE_FAILED_EVENT_H */
