/*
 * faultd
 *
 * Copyright © 2017 Samsung Electronics
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef FAULTD_SYSTEM_BOOTED_EVENT_H
#define FAULTD_SYSTEM_BOOTED_EVENT_H

#include <time.h>

#include "event.h"
#include "common.h"
#include "service.h"

#define SYSTEM_BOOTED_EVENT_ID "system_booted"

struct system_booted_event {
	struct faultd_event event;
	sd_id128_t prev_boot_id;
};

struct sb_event_data {
	sd_id128_t prev_boot_id;
};

#define to_system_booted_event(EVENT)						\
	container_of(EVENT, struct system_booted_event, event)

#endif /* FAULTD_SYSTEM_BOOTED_EVENT_H */
